%define module	musicbrainzngs

Name:		python-%{module}
Version:	0.7.1
Release:	%mkrel 1
Summary:	Python bindings for MusicBrainz NGS webservice
Group:		Development/Python
License:	BSD and ISC
URL:		https://python-musicbrainzngs.readthedocs.org/
Source0:	https://pypi.io/packages/source/m/%{module}/%{module}-%{version}.tar.xz
BuildArch:	noarch

BuildRequires:	python3-devel
BuildRequires:	python3-nose
BuildRequires:	locales-en

%description
This library implements webservice bindings for the MusicBrainz NGS site,
also known as /ws/2.

For more information on the MusicBrainz webservice see:
  http://wiki.musicbrainz.org/XML_Web_Service

%package -n	python3-%{module}
Summary:	Python 3 bindings for MusicBrainz NGS webservice
Group:		Development/Python

%description -n python3-%{module}
This library implements Python 3 webservice bindings for the
MusicBrainz NGS site, also known as /ws/2.

For more information on the MusicBrainz webservice see:
  http://wiki.musicbrainz.org/XML_Web_Service

#------------------------------------------------

%prep
%setup -qn %{module}-%{version}

chmod a-x examples/*.py
sed -i '1{\@^#!/usr/bin/env python@d}' examples/*.py

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc README.rst docs examples
%doc COPYING
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Aug 18 2022 TerryN <terryn94 at gmail.com> 0.7.1-1pclos2022
- update and rebuild for python 3.10

* Thu Feb 14 2019 tex 0.6-1pclos2019
- new
